Delete a call recording
Permanently deletes a call recording.
DELETE
/
recordings
/
{recording_id}
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const recording = await client.recordings.delete('recording_id');
console.log(recording.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
recording = client.recordings.delete(
"recording_id",
)
print(recording.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
recording, err := client.Recordings.Delete(context.TODO(), "recording_id")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", recording.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.recordings.RecordingDeleteParams;
import com.telnyx.sdk.models.recordings.RecordingDeleteResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
RecordingDeleteResponse recording = client.recordings().delete("recording_id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
recording = telnyx.recordings.delete("recording_id")
puts(recording)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$recording = $client->recordings->delete('recording_id');
var_dump($recording);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx recordings delete \
--api-key 'My API Key' \
--recording-id recording_idcurl --request DELETE \
--url https://api.telnyx.com/v2/recordings/{recording_id} \
--header 'Authorization: Bearer <token>'{
"data": {
"call_control_id": "v3:e-31OnvjEM7Y4wvxr3TKNk8M3QyLcGZPiUIzCGtwQtOtEjY-B0urkw",
"call_leg_id": "84a97d76-e40f-11ed-9074-02420a0daa69",
"call_session_id": "84a97d76-e40f-11ed-9074-02420a0daa69",
"channels": "dual",
"conference_id": "84a97d76-e40f-11ed-9074-02420a0daa69",
"created_at": "2018-02-02T22:25:27.521Z",
"download_urls": {
"mp3": "<string>",
"wav": "<string>"
},
"duration_millis": 60000,
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"record_type": "recording",
"recording_started_at": "2019-01-23T18:10:02.574Z",
"recording_ended_at": "2019-01-23T18:10:02.574Z",
"source": "conference",
"status": "completed",
"from": "+15551234567",
"to": "+15557654321",
"connection_id": "175237942907135762",
"initiated_by": "StartCallRecordingAPI",
"updated_at": "2018-02-02T22:25:27.521Z"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Uniquely identifies the recording by id.
Response
A response with a single recording resource.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const recording = await client.recordings.delete('recording_id');
console.log(recording.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
recording = client.recordings.delete(
"recording_id",
)
print(recording.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
recording, err := client.Recordings.Delete(context.TODO(), "recording_id")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", recording.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.recordings.RecordingDeleteParams;
import com.telnyx.sdk.models.recordings.RecordingDeleteResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
RecordingDeleteResponse recording = client.recordings().delete("recording_id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
recording = telnyx.recordings.delete("recording_id")
puts(recording)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$recording = $client->recordings->delete('recording_id');
var_dump($recording);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx recordings delete \
--api-key 'My API Key' \
--recording-id recording_idcurl --request DELETE \
--url https://api.telnyx.com/v2/recordings/{recording_id} \
--header 'Authorization: Bearer <token>'{
"data": {
"call_control_id": "v3:e-31OnvjEM7Y4wvxr3TKNk8M3QyLcGZPiUIzCGtwQtOtEjY-B0urkw",
"call_leg_id": "84a97d76-e40f-11ed-9074-02420a0daa69",
"call_session_id": "84a97d76-e40f-11ed-9074-02420a0daa69",
"channels": "dual",
"conference_id": "84a97d76-e40f-11ed-9074-02420a0daa69",
"created_at": "2018-02-02T22:25:27.521Z",
"download_urls": {
"mp3": "<string>",
"wav": "<string>"
},
"duration_millis": 60000,
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"record_type": "recording",
"recording_started_at": "2019-01-23T18:10:02.574Z",
"recording_ended_at": "2019-01-23T18:10:02.574Z",
"source": "conference",
"status": "completed",
"from": "+15551234567",
"to": "+15557654321",
"connection_id": "175237942907135762",
"initiated_by": "StartCallRecordingAPI",
"updated_at": "2018-02-02T22:25:27.521Z"
}
}